PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Namespaces | Functions
xmpp.h File Reference
`#include <ptlib.h>`
`#include <ptclib/pxml.h>`
`#include <ptlib/notifier_ext.h>`
Include dependency graph for xmpp.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | XMPP::JID
class | XMPP::BareJID
class | XMPP::Transport
| This interface is the base class of each XMPP transport class. More...
class | XMPP::Stream
| This class represents a XMPP stream, i.e. More...
class | XMPP::BaseStreamHandler
class | XMPP::Stanza
| XMPP stanzas: the following classes represent the three stanzas (PDUs) defined by the xmpp protocol. More...
class | XMPP::Message
class | XMPP::Presence
class | XMPP::IQ
class | XMPP::Disco::Item
class | XMPP::Identity
class | Info

## Namespaces
namespace | XMPP
namespace | XMPP::Disco
| JEP-0030 Service Discovery classes.

## Functions
const PCaselessString & | XMPP::LanguageTag ()
| Various constant strings. More...
const PCaselessString & | XMPP::NamespaceTag ()
const PCaselessString & | XMPP::MessageStanzaTag ()
const PCaselessString & | XMPP::PresenceStanzaTag ()
const PCaselessString & | XMPP::IQStanzaTag ()
const PCaselessString & | XMPP::IQQueryTag ()
| XMPP::PLIST (StanzaList, Stanza)
| XMPP::Disco::ItemList (PXMLElement *list)
PXMLElement * | XMPP::Disco::AsXML (PXMLElement *parent) const
| XMPP::IdentityList (PXMLElement *list)
PXMLElement * | XMPP::AsXML (PXMLElement *parent) const